<template>
  <ConversationDetails
    :chat-id="routeId"
    temporary-chat
  >
    <template #header="{ chat }">
      <ConversationDetailsHeader :chat="chat">
        <ConversationDetailsHeaderMenu :chat="chat" />
      </ConversationDetailsHeader>
    </template>
  </ConversationDetails>
</template>

<script setup lang="ts">
import { useRoute } from 'vue-router';
import computedEager from '@new-jira-clone/ui/src/composables/utils/useComputedEager';
import {
  ConversationDetails,
  ConversationDetailsHeader,
  ConversationDetailsHeaderMenu,
} from '@/widgets/conversation-details';

const route = useRoute();

const routeId = computedEager(() => String(route.params.id));
</script>
